/* This is the list of all possible actions that do_action() can execute.
Note also that menu handling is governed by such a command (ESCAPE).

	Copyright (C) 1993-1998 Sebastiano Vigna
	Copyright (C) 1999-2023 Todd M. Lewis and Sebastiano Vigna

	This file is part of ne, the nice editor.

	This library is free software; you can redistribute it and/or modify it
	under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 3 of the License, or (at your
	option) any later version.

	This library is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
	or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
	for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, see <http://www.gnu.org/licenses/>.  */

typedef enum {
  ABOUT_A,  ADJUSTVIEW_A,  ALERT_A,  ATOMICUNDO_A,
  AUTOCOMPLETE_A,  AUTOINDENT_A,  AUTOMATCHBRACKET_A,  AUTOPREFS_A,
  BACKSPACE_A,  BEEP_A,  BINARY_A,  BRACKETEDPASTE_A,
  CAPITALIZE_A,  CASESEARCH_A,  CENTER_A,  CLEAR_A,
  CLIPNUMBER_A,  CLOSEDOC_A,  COPY_A,  CRLF_A,
  CUT_A,  DELETECHAR_A,  DELETEEOL_A,  DELETELINE_A,
  DELETENEXTWORD_A,  DELETEPREVWORD_A,  DELTABS_A,  DOUNDO_A,
  ERASE_A,  ESCAPE_A,  ESCAPETIME_A,  EXEC_A,
  EXIT_A,  FASTGUI_A,  FIND_A,  FINDREGEXP_A,
  FLAGS_A,  FLASH_A,  FREEFORM_A,  GOTOBOOKMARK_A,
  GOTOCOLUMN_A,  GOTOLINE_A,  GOTOMARK_A,  HELP_A,
  HEXCODE_A,  INSERT_A,  INSERTCHAR_A,  INSERTLINE_A,
  INSERTSTRING_A,  INSERTTAB_A,  KEYCODE_A,  LINEDOWN_A,
  LINEUP_A,  LOADAUTOPREFS_A,  LOADPREFS_A,  MACRO_A,
  MARK_A,  MARKVERT_A,  MATCHBRACKET_A,  MODIFIED_A,
  MOVEBOS_A,  MOVEEOF_A,  MOVEEOL_A,  MOVEEOW_A,
  MOVEINCDOWN_A,  MOVEINCUP_A,  MOVELEFT_A,  MOVERIGHT_A,
  MOVESOF_A,  MOVESOL_A,  MOVETOS_A,  NAMECONVERT_A,
  NEWDOC_A,  NEXTDOC_A,  NEXTPAGE_A,  NEXTWORD_A,
  NOFILEREQ_A,  NOP_A,  OPEN_A,  OPENCLIP_A,
  OPENMACRO_A,  OPENNEW_A,  PAGEDOWN_A,  PAGEUP_A,
  PARAGRAPH_A,  PASTE_A,  PASTEVERT_A,  PLAY_A,
  POPPREFS_A,  PRESERVECR_A,  PREVDOC_A,  PREVPAGE_A,
  PREVWORD_A,  PUSHPREFS_A,  QUIT_A,  READONLY_A,
  RECORD_A,  REDO_A,  REFRESH_A,  REPEATLAST_A,
  REPLACE_A,  REPLACEALL_A,  REPLACEONCE_A,  REQUESTORDER_A,
  RIGHTMARGIN_A,  SAVE_A,  SAVEALL_A,  SAVEAS_A,
  SAVEAUTOPREFS_A,  SAVECLIP_A,  SAVEDEFPREFS_A,  SAVEMACRO_A,
  SAVEPREFS_A,  SEARCHBACK_A,  SELECTDOC_A,  SETBOOKMARK_A,
  SHIFT_A,  SHIFTTABS_A,  STATUSBAR_A,  SUSPEND_A,
  SYNTAX_A,  SYSTEM_A,  TABS_A,  TABSIZE_A,
  THROUGH_A,  TOGGLESEOF_A,  TOGGLESEOL_A,  TOLOWER_A,
  TOUPPER_A,  TURBO_A,  UNDELLINE_A,  UNDO_A,
  UNLOADMACROS_A,  UNSETBOOKMARK_A,  UTF8_A,  UTF8AUTO_A,
  UTF8IO_A,  VERBOSEMACROS_A,  VISUALBELL_A,  WORDWRAP_A,

  ACTION_COUNT
} action;

/* This file was automatically generated by info2src.pl. */
